%define gtk2_version 2.10.0
%define glib2_version 2.12.0
%define gnome_vfs2_version 2.10.0
%define libgnomeui_version 2.6.0
%define libglade_version 2.3.6
%define libart_version 2.3.16
%define gnome_desktop_version 2.10.0
%define gnome_icon_theme_version 2.17.1
%define desktop_file_utils_version 0.9
%define gail_version 1.2.0
%define eel2_version 2.2.0
%define libexif_version 0.6.12

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>


Summary: 	Eye of GNOME image viewer
Name:    	eog
Version: 	2.22.1
Release: 	1
URL: 		http://www.gnome.org
Source: 	http://download.gnome.org/sources/eog/2.22/%{name}-%{version}.tar.bz2
License: 	GPLv2+ and GFDL+
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildRequires: 	glib-devel >= %{glib2_version}
BuildRequires: 	gtk2+-devel >= %{gtk2_version}
BuildRequires: 	libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: 	libglade-devel >= %{libglade_version}
BuildRequires: 	gail-devel >= %{gail_version}
BuildRequires: 	eel-devel >= %{eel2_version}
BuildRequires: 	gnome-vfs-devel >= %{gnome_vfs2_version}
BuildRequires: 	libexif-devel >= %{libexif_version}
BuildRequires: 	exempi-devel
BuildRequires: 	libart_lgpl-devel >= %{libart_version}
BuildRequires: 	intltool
BuildRequires: 	libjpeg-devel
BuildRequires: 	scrollkeeper
BuildRequires: 	gettext
BuildRequires: 	desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: 	gnome-doc-utils
BuildRequires: 	gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires: 	gnome-icon-theme >= %{gnome_icon_theme_version}
BuildRequires: 	libXt-devel

Requires(post): desktop-file-utils >= %{desktop_file_utils_version}
Requires(post): scrollkeeper
Requires(post): GConf
Requires(pre): GConf
Requires(preun): GConf

Requires(postun): desktop-file-utils >= %{desktop_file_utils_version}
Requires(postun): scrollkeeper

%description
Eye of GNOME (EOG) is an image viewer. 

%package devel
Summary: Files needed for developing plugins for the EOG image viewer
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: gtk2+-devel
Requires: libgnomeui-devel
Requires: libglade-devel
Requires: gnome-vfs-devel
Requires: GConf-devel

%description devel
Eye of GNOME (EOG) is an image viewer. 
This package allows you to develop plugins to extend EOG.

%prep
%setup -q

echo "NoDisplay=true" >> data/eog.desktop.in
# just in case
echo "NoDisplay=true" >> data/eog.desktop.in.in

%build

%configure --disable-scrollkeeper --sysconfdir=%_sysconfdir/gnome
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name} --with-gnome

# grr, --disable-scrollkeeper seems broken
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

mkdir -p $RPM_BUILD_ROOT%{_libdir}/eog/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/eog.schemas > /dev/null || : 
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/eog.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/eog.schemas > /dev/null || :
fi

%postun
update-desktop-database -q
scrollkeeper-update -q
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_datadir}/eog
%{_datadir}/applications/*
%{_datadir}/omf/*
%{_datadir}/icons/hicolor/*/apps/*
%{_bindir}/*
%{_sysconfdir}/gnome/gconf/schemas/*.schemas
%{_libdir}/eog

%files devel
%defattr(-,root,root)
%{_includedir}/eog-2.20
%{_libdir}/pkgconfig/eog.pc

%changelog
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Initial release
